Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 657058 - sys-apps/portage-2.3.40: stablereq
Summary: sys-apps/portage-2.3.40: stablereq
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 654682 CVE-2018-12020
Blocks: 651804 658242 658866
  Show dependency tree
 
Reported: 2018-06-01 18:39 UTC by Zac Medico
Modified: 2018-09-16 08:10 UTC (History)
1 user (show)

See Also:
Package list:
=app-portage/gemato-13.0-r1 =app-portage/repoman-2.3.9 =sys-apps/portage-2.3.40-r1
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2018-06-01 18:39:23 UTC
The release has lots of fixes tracked by bug 651804, and no known regressions.

The most important changes:

 * EAPI 7 support (bug 654472)

 * rsync-verify USE flag enabled by default, see https://gitweb.gentoo.org/data/gentoo-news.git/tree/2018-01-30-portage-rsync-verification/2018-01-30-portage-rsync-verification.en.txt?id=74c7e9808df77096ca393871e88a4991978c4786 (bug 650144 tracks issues)

 * Portage uses asyncio's default event loop when available (bug 654390)
Comment 1 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-06-02 05:56:17 UTC
amd64 stable
Comment 2 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-06-02 06:01:55 UTC
@portage, despite I stabilised it for amd64, current stable repoman as always broken with new stable portage, at least repoman-2.3.7 goes ok, CCing amd64 back due to repoman
Comment 3 Zac Medico gentoo-dev 2018-06-02 07:16:56 UTC
Yes, also please stabilize '=app-portage/repoman-2.3.9'.

In the future, I'll make new versions of sys-apps/portage have blockers against incompatible older versions of app-portage/repoman. I don't want to use blockers for that just yet because the previous stable version of portage does not resolve the blocker automatically during upgrade (see bug 651936).
Comment 4 Larry the Git Cow gentoo-dev 2018-06-02 17:51:45 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5834e55011831dd6bafbb72254b4ecd69b6899b5

commit 5834e55011831dd6bafbb72254b4ecd69b6899b5
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-02 17:49:53 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-02 17:49:53 +0000

    app-portage/repoman: stable 2.3.9 for ia64, bug #657058
    
    Bug: https://bugs.gentoo.org/657058
    Package-Manager: Portage-2.3.38, Repoman-2.3.9
    RepoMan-Options: --include-arches="ia64"

 app-portage/repoman/repoman-2.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b6b07c129354402e853937d0f4ee2c657e1db56

commit 5b6b07c129354402e853937d0f4ee2c657e1db56
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-02 17:49:10 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-02 17:49:10 +0000

    sys-apps/portage: stable 2.3.40 for ia64, bug #657058
    
    Bug: https://bugs.gentoo.org/657058
    Package-Manager: Portage-2.3.38, Repoman-2.3.9
    RepoMan-Options: --include-arches="ia64"

 sys-apps/portage/portage-2.3.40.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 5 Mart Raudsepp gentoo-dev 2018-06-02 19:12:40 UTC
arm64 stable
Comment 6 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-06-03 10:35:35 UTC
s390 stable and all depree has been fixed
Comment 7 Larry the Git Cow gentoo-dev 2018-06-03 20:40:20 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62fe2ae45fc12e67f1612b21819f68db7b1d05c0

commit 62fe2ae45fc12e67f1612b21819f68db7b1d05c0
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-06-03 20:24:58 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-03 20:39:58 +0000

    sys-apps/portage: stable 2.3.40 for hppa
    
    Bug: https://bugs.gentoo.org/657058
    Package-Manager: Portage-2.3.24, Repoman-2.3.6
    RepoMan-Options: --include-arches="hppa"

 sys-apps/portage/portage-2.3.40.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 Stabilization helper bot gentoo-dev 2018-06-06 22:00:27 UTC
An automated check of this bug failed - the following atom is unknown:

app-portage/gemato-13.0

Please verify the atom list.
Comment 9 Thomas Deutschmann gentoo-dev Security 2018-06-06 23:26:01 UTC
x86 stable
Comment 10 Rolf Eike Beer 2018-06-18 16:55:13 UTC
Sparc done. I removed the now-obsolete gnupg version from package list and added a dependency to the current gnupg stabilization.
Comment 11 Larry the Git Cow gentoo-dev 2018-06-18 18:31:46 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=951bbf10a8e55473c2ebd9735b77a398fb4f3834

commit 951bbf10a8e55473c2ebd9735b77a398fb4f3834
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-06-18 16:33:00 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-18 18:30:56 +0000

    sys-apps/portage: stable 2.3.40-r1 for sparc
    
    Bug: https://bugs.gentoo.org/657058
    Package-Manager: Portage-2.3.24, Repoman-2.3.6
    RepoMan-Options: --include-arches="sparc"

 sys-apps/portage/portage-2.3.40-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5e0e302bcc16f62a4d0d58669c46ee3719fd092

commit a5e0e302bcc16f62a4d0d58669c46ee3719fd092
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-06-18 16:31:23 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-18 18:30:55 +0000

    app-portage/repoman: stable 2.3.9 for sparc
    
    Bug: https://bugs.gentoo.org/657058
    Package-Manager: Portage-2.3.24, Repoman-2.3.6
    RepoMan-Options: --include-arches="sparc"

 app-portage/repoman/repoman-2.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 12 Tobias Klausmann gentoo-dev 2018-06-19 17:29:44 UTC
Stable on alpha.
Comment 13 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-06-26 15:45:26 UTC
arm stable
Comment 14 Larry the Git Cow gentoo-dev 2018-06-27 21:54:43 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=654fd1da1cf043e93a0c2790465026a9886d9ab6

commit 654fd1da1cf043e93a0c2790465026a9886d9ab6
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-27 19:50:24 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-27 21:53:48 +0000

    app-portage/repoman: stable 2.3.9 for ppc, bug #657058
    
    Bug: https://bugs.gentoo.org/657058
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="ppc"

 app-portage/repoman/repoman-2.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b306320a7b4f64a2abe1bae8ff16a5d467c08db

commit 6b306320a7b4f64a2abe1bae8ff16a5d467c08db
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-27 19:34:59 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-27 21:53:45 +0000

    sys-apps/portage: stable 2.3.40-r1 for ppc, bug #657058
    
    Bug: https://bugs.gentoo.org/657058
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="ppc"

 sys-apps/portage/portage-2.3.40-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 15 Larry the Git Cow gentoo-dev 2018-06-27 22:14:49 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97eaaa5ca526bbdaae69e72969f96a18030ac8a5

commit 97eaaa5ca526bbdaae69e72969f96a18030ac8a5
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-27 22:04:57 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-27 22:13:56 +0000

    app-portage/repoman: stable 2.3.9 for ppc64, bug #657058
    
    Bug: https://bugs.gentoo.org/657058
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="ppc64"

 app-portage/repoman/repoman-2.3.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee138e6b1aa050c3821fe765057282cd89d84948

commit ee138e6b1aa050c3821fe765057282cd89d84948
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-27 21:59:31 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-27 22:13:52 +0000

    sys-apps/portage: stable 2.3.40-r1 for ppc64, bug #657058
    
    Bug: https://bugs.gentoo.org/657058
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="ppc64"

 sys-apps/portage/portage-2.3.40-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 16 Markus Meier gentoo-dev 2018-07-02 18:26:19 UTC
arm stable
Comment 17 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-09-16 08:10:58 UTC
Done